Invoice Uploads
Required scopes
This endpoint requires the following scopes:
- : Allows creating a new payment request.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Path parameters
idstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Responses
200
Default Response
application/json
urlstring · uriRequired
expiresInSecondsnumberRequired
filenamestringRequired
mimeTypestringRequired
404
Default Response
application/json
500
Default Response
application/json
get
/api/v1/{id}/invoice/urlRequired scopes
This endpoint requires the following scopes:
- : Allows creating a new payment request.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Path parameters
idstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uploadIdstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Responses
200
Default Response
application/json
messagestringRequired
404
Default Response
application/json
500
Default Response
application/json
post
/api/v1/{id}/invoice/attach/{uploadId}Required scopes
This endpoint requires the following scopes:
- : Allows creating a new payment request.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Body
filenamestring · min: 1 · max: 255Required
mimeTypestring · min: 1 · max: 100Required
sizenumber · max: 104857600Required
Responses
200
Default Response
application/json
uploadIdstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$methodstring · enumRequiredPossible values:
urlstring · uriRequired
expiresInSecondsnumberRequired
maxSizenumberRequired
allowedTypesstring[]Required
s3KeystringRequired
400
Default Response
application/json
500
Default Response
application/json
post
/api/v1/invoice-uploads/presignRequired scopes
This endpoint requires the following scopes:
- : Allows creating a new payment request.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Path parameters
uploadIdstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
sha256string · min: 64 · max: 64Required
Responses
200
Default Response
application/json
messagestringRequired
404
Default Response
application/json
500
Default Response
application/json
post
/api/v1/invoice-uploads/{uploadId}/confirmRequired scopes
This endpoint requires the following scopes:
- : Allows creating a new payment request.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Path parameters
uploadIdstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Responses
200
Default Response
application/json
urlstring · uriRequired
expiresInSecondsnumberRequired
filenamestringRequired
mimeTypestringRequired
404
Default Response
application/json
500
Default Response
application/json
get
/api/v1/invoice-uploads/{uploadId}/preview-urlRequired scopes
This endpoint requires the following scopes:
- : Allows creating a new payment request.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Path parameters
uploadIdstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$paymentRequestIdstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Responses
200
Default Response
application/json
messagestringRequired
404
Default Response
application/json
500
Default Response
application/json
post
/api/v1/invoice-uploads/{uploadId}/attach/{paymentRequestId}Required scopes
This endpoint requires the following scopes:
- : Allows creating a new payment request.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Path parameters
uploadIdstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Responses
204
Default Response
application/json
404
Default Response
application/json
500
Default Response
application/json
delete
/api/v1/invoice-uploads/{uploadId}No content
Last updated